ランタイム: Mix::Dynamics::IConeShape Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IConeShape Class Referenceabstract

コーンシェイプインターフェース More...

`#include <IConeShape.h>`

Inheritance diagram for Mix::Dynamics::IConeShape:
[legend]
Collaboration diagram for Mix::Dynamics::IConeShape:
[legend]

## Public Member Functions

virtual Float32 | GetAxisLength (void) const =0
| コーンの軸の長さを取得します More...
virtual Float32 | GetRadius (void) const =0
| コーンの半径を取得します More...
Public Member Functions inherited from Mix::Dynamics::IShape
virtual Mix::Dynamics::IShape::TYPE | GetType (void) const =0
| シェイプの種類を取得します More...
virtual Float32 | GetMargin (void) const =0
| 衝突マージンを取得します More...
virtual void | SetMargin (Float32 margin)=0
| 衝突マージンを設定します More...
virtual void | DebugDraw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IConeShape (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Dynamics::IShape
virtual | ~IShape (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IShape
enum | TYPE { BOX = 0, CAPSULE = 1, COMPOUND = 2, CONE = 3, CONVEXHULL = 4, CYLINDER = 5, SPHERE = 6 }
| タイプ列挙定数 More...

## Detailed Description

コーンシェイプインターフェース

Note
  円錐の形状になります。

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IConeShape::~IConeShape | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Float32 Mix::Dynamics::IConeShape::GetAxisLength | ( | void |  | ) | const

pure virtual

コーンの軸の長さを取得します

Returns
  コーンの軸の長さを返します

virtual Float32 Mix::Dynamics::IConeShape::GetRadius | ( | void |  | ) | const

pure virtual

コーンの半径を取得します

Returns
  コーンの半径を返します

The documentation for this class was generated from the following file:

- Mix/Dynamics/IConeShape.h